package mapper

import (
	"git.dmitriygnatenko.ru/dima/dmitriygnatenko-v2/internal/dto"
	"git.dmitriygnatenko.ru/dima/dmitriygnatenko-v2/internal/model"
)

func ToTagsList(m []model.Tag) []dto.Tag {
	res := make([]dto.Tag, 0, len(m))

	for i := range m {
		res = append(res, dto.Tag{
			ID:  m[i].ID,
			URL: m[i].URL,
			Tag: m[i].Tag,
		})
	}

	return res
}

func ToTagModel(form dto.TagForm) model.Tag {
	return model.Tag(form)
}
